<?
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("mysql.php");
include_once("inclydings/antixak.php");
include_once("inclydings/golova.php");
include_once("inclydings/check2.php");
include 'inclydings/ini.php';
$key=rand(1000000,9999999);
$nick=$_POST[nick];
$pass=$_POST[pass];
$topas=$_POST[topas];
$pol=$_POST[pol];
$nicklength=4;
require_once "inclydings/flood.php";
if (CheckIP ()){echo"Регистрироватся можно 1 раз в 10 секунд.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}
if(empty($nick)){echo"Не введен логин.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}
$str=strlen($nick);
if($nick=="" || $str<4){echo"Логин не должен быть менее чем 4 символа.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}

if(empty($pass)){echo"Не введен пароль.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
$str=strlen($pass);
if($pass=="" || $str<4){echo"Пароль не должен быть менее чем 4 символа.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}


if(eregi("[^a-z0-9-]",$nick)){echo"Логин содержит запрещенные символы.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
if(eregi("[^a-z0-9-]",$pass)){echo"Пароль содержит запрещенные символы.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}


if($pass!==$topas){echo"Пароли не совпадают.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
if($kod!==$reff){echo"Проверочный Код не правельный.<br/>
<a href=\"registart.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}

$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));

$reg = @file("L2dbnam/esql2db/reg/$nick.dat");
$del = explode(":||:",$reg[0]);

$zan=strcasecmp($del[0], $nick);
if($zan=="0"){echo' Этот ник уже находится в базе данных, придумайте себе другой.<br/>';
include_once"inclydings/nogi.php";
exit;}
if($rassa==gnom){
if($klas==wizard){
echo"Гномы не могут быть магами.<br/>
<a href=\"reg.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}}

if(empty($nick) || empty($pass) || empty($pol)) {echo' Данные необходимые для регистрации введены некоректно!<br/>';

echo'<a href="registart.php">Назад</a><br/>';
include_once"include/nogi.php";
exit;}

if (@file("L2dbnam/esql2db/reg/$nick.dat")) {print"Такой логин уже есть у нас в системе!<br/><a href=\"registart.php\"><br/>";}else {
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);



$nick = htmlspecialchars(stripslashes($nick));

$nick=str_replace("GM","", $nick);
$nick=str_replace("gm","", $nick);

$email=htmlspecialchars(stripslashes($email));
$email=strtolower($email);




$password = md5($pass);

if($rassa=="human"){$gorod="Talking Island Village"; $all="50"; }
if($rassa=="gnom"){$gorod="Dwarven Village"; $all="100"; }
if($rassa=="elf"){$gorod="Elven Village";  $all="60";  }
if($rassa=="darkelf"){$gorod="Dark Elven Village";  $all="75";  }
if($rassa=="ork"){$gorod="Orc Village";  $all="100";  }
if($rassa=="kamael"){$gorod="Kamael Village";  $all="100";  }
if($klas=="wizard"){$mp="150"; $cp="75";}
if($klas=="fighert"){$mp="100"; $cp="100";}

$text=$nick.':||:'.$password.':||:'.$pol.':||:5:||:5:||:5:||:0:||:0:||:0:||:0:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:1:||:'.$all.':||:'.$all.':||:'.$email.':||:0:||:'.$gorod.':||::||:1:||::||::||::||:'.$rassa.':||:'.$klas.':||:'.$data.' '.$time.':||:'.$mp.':||:'.$mp.':||:0:||::||::||:0:||::||::||:Shadow of the Monster Tree:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:'.$cp.':||:'.$cp.':||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:style:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:Пусто:||:5:||:0:||:';


$fp=fopen("L2dbnam/esql2db/reg/$_POST[nick].dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/reg/$nick.dat", 0666);
$message="Добро пожаловать в мир Lineage!Рекомендуем ознакомиться c <font color=lime>правилами игри</font>,изучить игровой процесс в <font color=lime>бибилиотеке</font>.Ответы на возникшие вопросы, всегда можно получить в <font color=lime>чате</font>,у <font color=lime>официальных консультантов игры</font>,или же в <font color=lime>центре поддержки</font>.<br>---<br>Для получения бонусного снаряжения,перейдите в моё меню/Обмен купонов.<br>Так же вы можете перейти в раздел:<br><font color=red>Мой профиль</font>,который находится в моё меню/Мой персонаж.<br> Для установки вашего email,в случае если вы потеряете пароль от персонажа.<br>Приятной игры!";

$message=base64_encode($message);

$pozdr=":::Administrator|".$message."|".$data;

$fp=fopen("L2dbnam/esql2db/msg/$nick.msg","w");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/msg/$nick.msg", 0666);

$text = @file("L2dbnam/esql2db/newlog.dat");
$new = explode(":||:",$text[0]);
$new[0]=$new[0]+1;
$text=$new[0].':||:';
$fp=fopen("L2dbnam/esql2db/newlog.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/newlog.dat", 0666);

$fp=fopen("L2dbnam/esql2db/item/$nick.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$vesh\r\n$vesh2\r\n$vesh3\r\n$vesh4\r\n$vesh5\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/item/$nick.dat", 0666);


if($klas=="wizard"){
$mag="10||5||100||active||combat||||Магия для новичков||Shot||newmags||mag||";}
if($klas=="fighert"){
$mag="10||5||100000||active||combat||||Супер удар для новичков||Shot||newudar||fighert||";}
$fp=fopen("L2dbnam/esql2db/mag/$nick.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$mag\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/mag/$nick.dat", 0666);

print"<font color=lime>Поздравляем!<br/> Вы успешно зарегистрированы.<br/>Ваш ник: ".$nick." <br/>Ваш пароль: ".$pass."<br/><br/>
<a href=\"vhod.php\">Авторизоватся</a><br/>";

}
include_once"inclydings/down.php";

?>